Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019780
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2012-02-15 16:562012-04-17 05:31
ReporterpsarobeView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchpiFixed in SCM revisionc1173672a520
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019780: Cannot apply Core and APRM dataset in two different organizations

DescriptionExists a unique constraint in the table GL_CATEGORY that prevents to apply both datasets

This constraint is CONSTRAINT gl_category_name UNIQUE(ad_client_id, name);

It should be for the organization. I suggest

CONSTRAINT gl_category_name UNIQUE(ad_org_id, name);

This way you can insert the datasets
Steps To Reproduce1. Create a new client through the process initial client setup without applying this two datasets
2. Create an organization and apply both dataset
3. Create another organization that belongs to a different branch and apply the datasets

You cannot. An error shows up. This is wrong
TagsVMA-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0047376)
Sandrahuguet (developer)
2012-04-04 10:24

Test Plan:

1. Go to initial client setup and create a client without applying datasets
2. Create an organization and apply both dataset
3. Create another organization and apply the datasets

And you can see that now you can create both organizations
(0047528)
hgbot (developer)
2012-04-12 13:53

Repository: erp/devel/pi
Changeset: c1173672a520e415b8841506a9bd462bab2b60fa
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Apr 04 09:31:20 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c1173672a520e415b8841506a9bd462bab2b60fa [^]

Fixed bug 19780 Change the contraint gl_category_name in gl_category
Add ad_org_id to gl_category_name in gl_category.

---
M src-db/database/model/tables/GL_CATEGORY.xml
---
(0047529)
vmromanos (developer)
2012-04-12 13:58

code review + testing OK
(0047530)
vmromanos (developer)
2012-04-12 14:00

This change should create an API change, but it is totally safe for the user and it should not require any build validation or module script
(0047641)
hudsonbot (developer)
2012-04-17 05:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-15 16:56 psarobe New Issue
2012-02-15 16:56 psarobe Assigned To => jonalegriaesarte
2012-02-15 16:56 psarobe Modules => Core
2012-02-15 19:03 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-17 09:19 vmromanos Tag Attached: VMA-Reviewed
2012-04-03 16:58 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-04-03 16:58 Sandrahuguet Status new => scheduled
2012-04-03 16:58 Sandrahuguet fix_in_branch => pi
2012-04-04 10:24 Sandrahuguet Note Added: 0047376
2012-04-12 13:53 hgbot Checkin
2012-04-12 13:53 hgbot Note Added: 0047528
2012-04-12 13:53 hgbot Status scheduled => resolved
2012-04-12 13:53 hgbot Resolution open => fixed
2012-04-12 13:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c1173672a520e415b8841506a9bd462bab2b60fa [^]
2012-04-12 13:58 vmromanos Note Added: 0047529
2012-04-12 13:58 vmromanos Status resolved => closed
2012-04-12 13:58 vmromanos Fixed in Version => 3.0MP11
2012-04-12 14:00 vmromanos Note Added: 0047530
2012-04-17 05:31 hudsonbot Checkin
2012-04-17 05:31 hudsonbot Note Added: 0047641


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker